This connector is optimized for AI agents. For the data replication connector, see Linear .
This is the full reference documentation for the Linear agent connector.
Supported entities and actions
The Linear connector supports the following entities and actions.
Entity Actions Issues List , Get , Create , Update , Context Store Search Projects List , Get , Create , Update , Context Store Search Teams List , Get , Context Store Search Workflow States List , Context Store Search Users List , Get , Context Store Search Comments List , Get , Create , Update , Context Store Search
Issues
Issues List
Returns a paginated list of issues via GraphQL with pagination support
Python SDK
await linear . issues . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "issues", "action": "list" }'
Parameters
Parameter Name Type Required Description firstintegerNo Number of items to return (max 250) afterstringNo Cursor to start after (for pagination)
Response Schema Records Field Name Type Description idstringtitlestringdescriptionstring | anystateobject | anyprioritynumber | anyassigneeobject | anyteamobject | anyprojectobject | anycreatedAtstringupdatedAtstring
Field Name Type Description hasNextPagebooleanendCursorstring | null
Issues Get
Get a single issue by ID via GraphQL
Python SDK
await linear . issues . get ( id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "issues", "action": "get", "params": { "id": "<str>" } }'
Parameters
Parameter Name Type Required Description idstringYes Issue ID
Response Schema Records Field Name Type Description idstringtitlestringdescriptionstring | anystateobject | anyprioritynumber | anyassigneeobject | anyteamobject | anyprojectobject | anycreatedAtstringupdatedAtstring
Issues Create
Create a new issue via GraphQL mutation
Python SDK
await linear . issues . create ( team_id = "<str>" , title = "<str>" , description = "<str>" , state_id = "<str>" , priority = 0 , project_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "issues", "action": "create", "params": { "teamId": "<str>", "title": "<str>", "description": "<str>", "stateId": "<str>", "priority": 0, "projectId": "<str>" } }'
Parameters
Parameter Name Type Required Description teamIdstringYes The ID of the team to create the issue in titlestringYes The title of the issue descriptionstringNo The description of the issue (supports markdown) stateIdstringNo The ID of the workflow state for the issue priorityintegerNo The priority of the issue (0=No priority, 1=Urgent, 2=High, 3=Medium, 4=Low) projectIdstringNo The ID of the project to add the issue to. Get project IDs from the projects list.
Response Schema Records Field Name Type Description successbooleanissueobjectissue.idstringissue.titlestringissue.descriptionstring | anyissue.stateobject | anyissue.prioritynumber | anyissue.assigneeobject | anyissue.projectobject | anyissue.createdAtstringissue.updatedAtstring
Issues Update
Update an existing issue via GraphQL mutation. All fields except id are optional for partial updates.
To assign a user, provide assigneeId with the user's ID (get user IDs from the users list).
Omit assigneeId to leave the current assignee unchanged.
Python SDK
await linear . issues . update ( id = "<str>" , title = "<str>" , description = "<str>" , state_id = "<str>" , priority = 0 , assignee_id = "<str>" , project_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "issues", "action": "update", "params": { "id": "<str>", "title": "<str>", "description": "<str>", "stateId": "<str>", "priority": 0, "assigneeId": "<str>", "projectId": "<str>" } }'
Parameters
Parameter Name Type Required Description idstringYes The ID of the issue to update titlestringNo The new title of the issue descriptionstringNo The new description of the issue (supports markdown) stateIdstringNo The ID of the new workflow state for the issue priorityintegerNo The new priority of the issue (0=No priority, 1=Urgent, 2=High, 3=Medium, 4=Low) assigneeIdstringNo The ID of the user to assign to this issue. Get user IDs from the users list. projectIdstringNo The ID of the project to add this issue to. Get project IDs from the projects list.
Response Schema Records Field Name Type Description successbooleanissueobjectissue.idstringissue.titlestringissue.descriptionstring | anyissue.stateobject | anyissue.prioritynumber | anyissue.assigneeobject | anyissue.projectobject | anyissue.createdAtstringissue.updatedAtstring
Issues Context Store Search
Search and filter issues records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await linear . issues . context_store_search ( query = { "filter" : { "eq" : { "addedToCycleAt" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "issues", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"addedToCycleAt": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description addedToCycleAtstringaddedToProjectAtstringaddedToTeamAtstringassigneeobjectassigneeIdstringattachmentIdsarrayattachmentsobjectbranchNamestringcanceledAtstringcompletedAtstringcreatedAtstringcreatorobjectcreatorIdstringcustomerTicketCountnumbercycleobjectcycleIdstringdescriptionstringdescriptionStatestringdueDatestringestimatenumberidstringidentifierstringintegrationSourceTypestringlabelIdsarraylabelsobjectmilestoneIdstringnumbernumberparentobjectparentIdstringpreviousIdentifiersarrayprioritynumberpriorityLabelstringprioritySortOrdernumberprojectobjectprojectIdstringprojectMilestoneobjectreactionDataarrayrelationIdsarrayrelationsobjectslaTypestringsortOrdernumbersourceCommentIdstringstartedAtstringstateobjectstateIdstringsubIssueSortOrdernumbersubscriberIdsarraysubscribersobjectteamobjectteamIdstringtitlestringupdatedAtstringurlstring
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].addedToCycleAtstringdata[].addedToProjectAtstringdata[].addedToTeamAtstringdata[].assigneeobjectdata[].assigneeIdstringdata[].attachmentIdsarraydata[].attachmentsobjectdata[].branchNamestringdata[].canceledAtstringdata[].completedAtstringdata[].createdAtstringdata[].creatorobjectdata[].creatorIdstringdata[].customerTicketCountnumberdata[].cycleobjectdata[].cycleIdstringdata[].descriptionstringdata[].descriptionStatestringdata[].dueDatestringdata[].estimatenumberdata[].idstringdata[].identifierstringdata[].integrationSourceTypestringdata[].labelIdsarraydata[].labelsobjectdata[].milestoneIdstringdata[].numbernumberdata[].parentobjectdata[].parentIdstringdata[].previousIdentifiersarraydata[].prioritynumberdata[].priorityLabelstringdata[].prioritySortOrdernumberdata[].projectobjectdata[].projectIdstringdata[].projectMilestoneobjectdata[].reactionDataarraydata[].relationIdsarraydata[].relationsobjectdata[].slaTypestringdata[].sortOrdernumberdata[].sourceCommentIdstringdata[].startedAtstringdata[].stateobjectdata[].stateIdstringdata[].subIssueSortOrdernumberdata[].subscriberIdsarraydata[].subscribersobjectdata[].teamobjectdata[].teamIdstringdata[].titlestringdata[].updatedAtstringdata[].urlstring
Projects
Projects List
Returns a paginated list of projects via GraphQL with pagination support
Python SDK
await linear . projects . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "projects", "action": "list" }'
Parameters
Parameter Name Type Required Description firstintegerNo Number of items to return (max 250) afterstringNo Cursor to start after (for pagination)
Response Schema Records Field Name Type Description idstringnamestringdescriptionstring | anystatestring | anystartDatestring | anytargetDatestring | anyleadobject | anycreatedAtstringupdatedAtstring
Field Name Type Description hasNextPagebooleanendCursorstring | null
Projects Get
Get a single project by ID via GraphQL
Python SDK
await linear . projects . get ( id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "projects", "action": "get", "params": { "id": "<str>" } }'
Parameters
Parameter Name Type Required Description idstringYes Project ID
Response Schema Records Field Name Type Description idstringnamestringdescriptionstring | anystatestring | anystartDatestring | anytargetDatestring | anyleadobject | anycreatedAtstringupdatedAtstring
Projects Create
Create a new project via GraphQL mutation
Python SDK
await linear . projects . create ( name = "<str>" , team_ids = [ ] , description = "<str>" , state = "<str>" , start_date = "<str>" , target_date = "<str>" , lead_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "projects", "action": "create", "params": { "name": "<str>", "teamIds": [], "description": "<str>", "state": "<str>", "startDate": "<str>", "targetDate": "<str>", "leadId": "<str>" } }'
Parameters
Parameter Name Type Required Description namestringYes The name of the project teamIdsarray<string>Yes The IDs of the teams to associate with this project. Get team IDs from the teams list. descriptionstringNo The description of the project (supports markdown) statestringNo The state of the project (backlog, planned, started, paused, completed, canceled) startDatestringNo The planned start date of the project (YYYY-MM-DD format) targetDatestringNo The target completion date of the project (YYYY-MM-DD format) leadIdstringNo The ID of the user to set as project lead. Get user IDs from the users list.
Response Schema Records Field Name Type Description successbooleanprojectobjectproject.idstringproject.namestringproject.descriptionstring | anyproject.statestring | anyproject.startDatestring | anyproject.targetDatestring | anyproject.leadobject | anyproject.createdAtstringproject.updatedAtstring
Projects Update
Update an existing project via GraphQL mutation. All fields except id are optional for partial updates.
Use this to rename projects, change descriptions, update dates, or change the project state.
Python SDK
await linear . projects . update ( id = "<str>" , name = "<str>" , description = "<str>" , state = "<str>" , start_date = "<str>" , target_date = "<str>" , lead_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "projects", "action": "update", "params": { "id": "<str>", "name": "<str>", "description": "<str>", "state": "<str>", "startDate": "<str>", "targetDate": "<str>", "leadId": "<str>" } }'
Parameters
Parameter Name Type Required Description idstringYes The ID of the project to update namestringNo The new name of the project descriptionstringNo The new description of the project (supports markdown) statestringNo The new state of the project (backlog, planned, started, paused, completed, canceled) startDatestringNo The new planned start date of the project (YYYY-MM-DD format) targetDatestringNo The new target completion date of the project (YYYY-MM-DD format) leadIdstringNo The ID of the user to set as project lead. Get user IDs from the users list.
Response Schema Records Field Name Type Description successbooleanprojectobjectproject.idstringproject.namestringproject.descriptionstring | anyproject.statestring | anyproject.startDatestring | anyproject.targetDatestring | anyproject.leadobject | anyproject.createdAtstringproject.updatedAtstring
Projects Context Store Search
Search and filter projects records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await linear . projects . context_store_search ( query = { "filter" : { "eq" : { "canceledAt" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "projects", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"canceledAt": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description canceledAtstringcolorstringcompletedAtstringcompletedIssueCountHistoryarraycompletedScopeHistoryarraycontentstringcontentStatestringconvertedFromIssueobjectconvertedFromIssueIdstringcreatedAtstringcreatorobjectcreatorIdstringdescriptionstringhealthstringhealthUpdatedAtstringiconstringidstringinProgressScopeHistoryarrayissueCountHistoryarrayleadobjectleadIdstringnamestringprioritynumberprioritySortOrdernumberprogressnumberscopenumberscopeHistoryarrayslugIdstringsortOrdernumberstartDatestringstartedAtstringstatusobjectstatusIdstringtargetDatestringteamIdsarrayteamsobjectupdateRemindersDaystringupdateRemindersHournumberupdatedAtstringurlstring
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].canceledAtstringdata[].colorstringdata[].completedAtstringdata[].completedIssueCountHistoryarraydata[].completedScopeHistoryarraydata[].contentstringdata[].contentStatestringdata[].convertedFromIssueobjectdata[].convertedFromIssueIdstringdata[].createdAtstringdata[].creatorobjectdata[].creatorIdstringdata[].descriptionstringdata[].healthstringdata[].healthUpdatedAtstringdata[].iconstringdata[].idstringdata[].inProgressScopeHistoryarraydata[].issueCountHistoryarraydata[].leadobjectdata[].leadIdstringdata[].namestringdata[].prioritynumberdata[].prioritySortOrdernumberdata[].progressnumberdata[].scopenumberdata[].scopeHistoryarraydata[].slugIdstringdata[].sortOrdernumberdata[].startDatestringdata[].startedAtstringdata[].statusobjectdata[].statusIdstringdata[].targetDatestringdata[].teamIdsarraydata[].teamsobjectdata[].updateRemindersDaystringdata[].updateRemindersHournumberdata[].updatedAtstringdata[].urlstring
Teams
Teams List
Returns a list of teams via GraphQL with pagination support
Python SDK
await linear . teams . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "teams", "action": "list" }'
Parameters
Parameter Name Type Required Description firstintegerNo Number of items to return (max 250) afterstringNo Cursor to start after (for pagination)
Response Schema Records Field Name Type Description idstringnamestringkeystringdescriptionstring | anytimezonestring | anycreatedAtstringupdatedAtstring
Field Name Type Description hasNextPagebooleanendCursorstring | null
Teams Get
Get a single team by ID via GraphQL
Python SDK
await linear . teams . get ( id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "teams", "action": "get", "params": { "id": "<str>" } }'
Parameters
Parameter Name Type Required Description idstringYes Team ID
Response Schema Records Field Name Type Description idstringnamestringkeystringdescriptionstring | anytimezonestring | anycreatedAtstringupdatedAtstring
Teams Context Store Search
Search and filter teams records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await linear . teams . context_store_search ( query = { "filter" : { "eq" : { "activeCycle" : { } } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "teams", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"activeCycle": {}}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description activeCycleobjectactiveCycleIdstringautoArchivePeriodnumberautoClosePeriodnumberautoCloseStateIdstringcolorstringcreatedAtstringcycleCalenderUrlstringcycleCooldownTimenumbercycleDurationnumbercycleIssueAutoAssignCompletedbooleancycleIssueAutoAssignStartedbooleancycleLockToActivebooleancycleStartDaynumbercyclesEnabledbooleandefaultIssueEstimatenumberdefaultIssueStateobjectdefaultIssueStateIdstringgroupIssueHistorybooleaniconstringidstringinviteHashstringissueCountnumberissueEstimationAllowZerobooleanissueEstimationExtendedbooleanissueEstimationTypestringkeystringmarkedAsDuplicateWorkflowStateobjectmarkedAsDuplicateWorkflowStateIdstringnamestringparentTeamIdstringprivatebooleanrequirePriorityToLeaveTriagebooleanscimManagedbooleansetIssueSortOrderOnStateChangestringtimezonestringtriageEnabledbooleantriageIssueStateIdstringupcomingCycleCountnumberupdatedAtstring
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].activeCycleobjectdata[].activeCycleIdstringdata[].autoArchivePeriodnumberdata[].autoClosePeriodnumberdata[].autoCloseStateIdstringdata[].colorstringdata[].createdAtstringdata[].cycleCalenderUrlstringdata[].cycleCooldownTimenumberdata[].cycleDurationnumberdata[].cycleIssueAutoAssignCompletedbooleandata[].cycleIssueAutoAssignStartedbooleandata[].cycleLockToActivebooleandata[].cycleStartDaynumberdata[].cyclesEnabledbooleandata[].defaultIssueEstimatenumberdata[].defaultIssueStateobjectdata[].defaultIssueStateIdstringdata[].groupIssueHistorybooleandata[].iconstringdata[].idstringdata[].inviteHashstringdata[].issueCountnumberdata[].issueEstimationAllowZerobooleandata[].issueEstimationExtendedbooleandata[].issueEstimationTypestringdata[].keystringdata[].markedAsDuplicateWorkflowStateobjectdata[].markedAsDuplicateWorkflowStateIdstringdata[].namestringdata[].parentTeamIdstringdata[].privatebooleandata[].requirePriorityToLeaveTriagebooleandata[].scimManagedbooleandata[].setIssueSortOrderOnStateChangestringdata[].timezonestringdata[].triageEnabledbooleandata[].triageIssueStateIdstringdata[].upcomingCycleCountnumberdata[].updatedAtstring
Workflow States
Workflow States List
Returns workflow states for a team via GraphQL, including name and UUID for status transitions
Python SDK
await linear . workflow_states . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "workflow_states", "action": "list" }'
Parameters
Parameter Name Type Required Description firstintegerNo Number of items to return (max 250) afterstringNo Cursor to start after (for pagination)
Response Schema Records Field Name Type Description idstringnamestringtypestringpositionnumber | anycolorstring | anyteamobject | anycreatedAtstringupdatedAtstring
Field Name Type Description hasNextPagebooleanendCursorstring | null
Workflow States Context Store Search
Search and filter workflow states records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await linear . workflow_states . context_store_search ( query = { "filter" : { "eq" : { "color" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "workflow_states", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"color": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description colorstringcreatedAtstringdescriptionstringidstringinheritedFromIdstringnamestringpositionnumberteamobjectteamIdstringtypestringupdatedAtstring
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].colorstringdata[].createdAtstringdata[].descriptionstringdata[].idstringdata[].inheritedFromIdstringdata[].namestringdata[].positionnumberdata[].teamobjectdata[].teamIdstringdata[].typestringdata[].updatedAtstring
Users
Users List
Returns a paginated list of users in the organization via GraphQL
Python SDK
await linear . users . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "users", "action": "list" }'
Parameters
Parameter Name Type Required Description firstintegerNo Number of items to return (max 250) afterstringNo Cursor to start after (for pagination)
Response Schema Records Field Name Type Description idstringnamestringemailstringdisplayNamestring | anyactivebooleanadminbooleancreatedAtstringupdatedAtstring
Field Name Type Description hasNextPagebooleanendCursorstring | null
Users Get
Get a single user by ID via GraphQL
Python SDK
await linear . users . get ( id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "users", "action": "get", "params": { "id": "<str>" } }'
Parameters
Parameter Name Type Required Description idstringYes User ID
Response Schema Records Field Name Type Description idstringnamestringemailstringdisplayNamestring | anyactivebooleanadminbooleancreatedAtstringupdatedAtstring
Users Context Store Search
Search and filter users records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await linear . users . context_store_search ( query = { "filter" : { "eq" : { "active" : True } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "users", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"active": True}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description activebooleanadminbooleanavatarBackgroundColorstringavatarUrlstringcreatedAtstringcreatedIssueCountnumberdisplayNamestringemailstringguestbooleanidstringinitialsstringinviteHashstringisMebooleanlastSeenstringnamestringteamIdsarrayteamsobjecttimezonestringupdatedAtstringurlstring
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].activebooleandata[].adminbooleandata[].avatarBackgroundColorstringdata[].avatarUrlstringdata[].createdAtstringdata[].createdIssueCountnumberdata[].displayNamestringdata[].emailstringdata[].guestbooleandata[].idstringdata[].initialsstringdata[].inviteHashstringdata[].isMebooleandata[].lastSeenstringdata[].namestringdata[].teamIdsarraydata[].teamsobjectdata[].timezonestringdata[].updatedAtstringdata[].urlstring
Returns a paginated list of comments for an issue via GraphQL
Python SDK
await linear . comments . list ( issue_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "comments", "action": "list", "params": { "issueId": "<str>" } }'
Parameters
Parameter Name Type Required Description issueIdstringYes Issue ID to get comments for firstintegerNo Number of items to return (max 250) afterstringNo Cursor to start after (for pagination)
Response Schema Records Field Name Type Description idstringbodystringuserobject | anyissueobject | anycreatedAtstringupdatedAtstring
Field Name Type Description hasNextPagebooleanendCursorstring | null
Get a single comment by ID via GraphQL
Python SDK
await linear . comments . get ( id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "comments", "action": "get", "params": { "id": "<str>" } }'
Parameters
Parameter Name Type Required Description idstringYes Comment ID
Response Schema Records Field Name Type Description idstringbodystringuserobject | anyissueobject | anycreatedAtstringupdatedAtstring
Create a new comment on an issue via GraphQL mutation
Python SDK
await linear . comments . create ( issue_id = "<str>" , body = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "comments", "action": "create", "params": { "issueId": "<str>", "body": "<str>" } }'
Parameters
Parameter Name Type Required Description issueIdstringYes The ID of the issue to add the comment to bodystringYes The comment content in markdown
Response Schema Records Field Name Type Description successbooleancommentobjectcomment.idstringcomment.bodystringcomment.userobject | anycomment.issueobject | anycomment.createdAtstringcomment.updatedAtstring
Update an existing comment via GraphQL mutation
Python SDK
await linear . comments . update ( id = "<str>" , body = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "comments", "action": "update", "params": { "id": "<str>", "body": "<str>" } }'
Parameters
Parameter Name Type Required Description idstringYes The ID of the comment to update bodystringYes The new comment content in markdown
Response Schema Records Field Name Type Description successbooleancommentobjectcomment.idstringcomment.bodystringcomment.userobject | anycomment.issueobject | anycomment.createdAtstringcomment.updatedAtstring
Search and filter comments records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await linear . comments . context_store_search ( query = { "filter" : { "eq" : { "body" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "comments", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"body": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description bodystringbodyDatastringcreatedAtstringeditedAtstringidstringissueobjectissueIdstringparentobjectparentCommentIdstringresolvingCommentIdstringresolvingUserIdstringupdatedAtstringurlstringuserobjectuserIdstring
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].bodystringdata[].bodyDatastringdata[].createdAtstringdata[].editedAtstringdata[].idstringdata[].issueobjectdata[].issueIdstringdata[].parentobjectdata[].parentCommentIdstringdata[].resolvingCommentIdstringdata[].resolvingUserIdstringdata[].updatedAtstringdata[].urlstringdata[].userobjectdata[].userIdstring